KBD_MODE(1)

BEZEICHNUNG
kbd_mode - den Tastaturmodus berichten oder setzen

ÜBERSICHT
kbd_mode [ -a | -u | -k | -s | -d ] [ -f ] [ -C KONSOLE ]

BESCHREIBUNG

Ohne Argument berichtet kbd_mode den aktuellen Tastaturmodus (RAW, MEDIUMRAW oder XLATE). Mit den Optionen ist es möglich, den Tastaturmodus der aktuellen oder der angegebenen Konsole umzuschalten.

OPTIONEN

-a, --ascii
    Setzt den ASCII-Modus (XLATE).

-k, --keycode
    Setzt den Keycode-Modus (MEDIUMRAW).

-s, --scancode
    Setzt den Scancode-Modus (RAW).

-u, --unicode
    Setzt den UTF-8-Modus (UNICODE).

-d, --disable
    Setzt den Deaktiviermodus (OFF).

-f, --force
    Schaltet den Modus um, selbst wenn dadurch die Tastatur unbenutzbar wird.

-C, --console=GERÄT
    gibt das zu verwendende Konsolengerät an.

Natürlich ist »-a« nur althergebracht und der verwandte Code kann jeder 8-bit-Zeichensatz sein. Mit »-u« wird ein 16-bit-Zeichensatz erwartet und diese Zeichen werden als 1, 2 oder 3 bytes (gemäß der UTF-8-Kodierung) an den Kernel übertragen. In diesen zwei letzteren Modi wird die durch loadkeys(1) definierte Tastaturzuordnung verwandt. Der Didable-Modus für die virtuelle Konsole schaltet die Tastatur OFF, um den rohen Modus zu ergänzen, in dem alle Tastaturereignisse ignoriert werden. Dieser Modus hindert VT-Eingabepuffer daran überzulaufen, wenn ein Programm geöffnet wird, aber nicht von einem TTY liest, wie Xorg, wenn es nur Evdev für die Eingabe verwendet. kbd_mode agiert auf der durch die Option »-C« angegebenen Konsole. Falls keine angegeben ist, wird die Stdin zugeordnete Konsole verwandt. Warnung: Wird der Tastaturmodus (außer zwischen ASCII und Unicode) geändert, wird Ihre Tastatur wahrscheinlich unbenutzbar. Mit der Option »-f« können solche Änderungen erzwungen werden. Dieser Befehl ist nur für den Einsatz (beispielsweise bei der Anmeldung aus der Ferne) gedacht, bei denen ein Programm Ihre Tastatur im falschen Zustand hinterließ. Beachten Sie, dass in einigen veralteten Versionen dieses Programms die Option »-u« ein Synonym für »-s« war und ältere Versionen dieses Programmes die Option »-f« nicht erkannten.

AUTOREN
Andries Brouwer <aeb@cwi.nl>

SIEHE AUCH
loadkeys(1)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.